/**
 * @module libflitter/errors/ImplementationError
 */

const StopError = require('./StopError')

/**
 * An error that indicates that a required method has not been implemented.
 * @extends module:libflitter/errors/StopError@StopError
 */
class ImplementationError extends StopError {

    constructor(msg = "This method must be implemented by a child class.", ...args){
        super(msg, ...args)
    }

}

module.exports = exports = ImplementationError
